{% load i18n %}
<form id='filter_publicacoes' class="form-bar" name="FilterForm" action="{{ request.path }}" method="post">
  <fieldset> {% csrf_token %}
    <div class="control-group">
      <label for='filter_q' class='help-block control-label'>Termo geral</label>
      <input type="text" name="q" value="{% if q %}{{q}}{% endif %}" class="form-control" id="filter_q">
    </div>
    <div class="control-group">
      <label for='filter_ano' class='help-block control-label'>Ano</label>
      <input type='text' name='ano' value='{% if ano %}{{ano}}{% endif %}' class="form-control" id='filter_ano'>
    </div>
    <div class="control-group">
      <label for='filter_autoria' class='help-block control-label'>Autoria</label>
      <input type='text' name='autoria' value='{% if autoria %}{{autoria}}{% endif %}' class="form-control" id='filter_autoria'>
    </div>
    <div class="control-group">
      <label for='filter_tag' class='help-block control-label'>Tag</label>
      <input type='text' name='tag' value='{% if tag %}{{tag}}{% endif %}' class="form-control" id='filter_tag'>
    </div>
    <div class="control-group">
      <span class="buttons">
        <button type="submit" class="btn btn-orange">Buscar</button>
      </span>
    </div>
  </fieldset>
</form>


<script>
$('#filter_publicacoes').on('submit', function(e){
    var q = $('#filter_q').val(),
        ano = $('#filter_ano').val(),
        autoria = $('#filter_autoria').val(),
        tag = $('#filter_tag').val(),
        path = "{{request.path}}" + "?";

    path += 'q=' + q;

    if (ano != '') {
        path += '&' + 'ano=' + ano;
    }
    if (autoria != '') {
        path += '&' + 'autoria=' + autoria;
    }
    if (tag != ''){
        path += '&' + 'tag=' + tag
    }
    this.action = path;
});
</script>
